> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/user-guide/spark/spark-faq.md).

# Spark FAQ

<details>

<summary>How can I confidently report all tickets Spark created during employee conversations?</summary>

The `agent.conversations` table contains a dedicated `ticket_number` field that stores the ticket number when a conversation results in a ticket being created. Refer to [Monitoring Spark](/platform/user-guide/spark/monitoring-spark.md#conversation-outcome-reasons) documentation to see what outcomes can result in a ticket being created for detailed reporting.

Use the following query to list all conversations that created a ticket in the past 7 days:

{% code overflow="wrap" lineNumbers="true" %}

```
agent.conversations during past 7d
| where conversations.ticket_number != null
```

{% endcode %}

</details>

<details>

<summary>How can I create ITSM records for all Spark conversations, not only when Spark escalates?</summary>

To record completed Spark conversations other than escalations in ITSM for tracking, reporting, or audit purposes, Nexthink recommends using the standard webhook capabilities.

Use the following NQL query as the webhook's trigger condition to identify completed conversations that should create an ITSM ticket, and to specify which fields to include in the payload:

{% code overflow="wrap" lineNumbers="true" %}

```
agent.conversations during past 7d 
| where conversations.outcome != null 
| where conversations.ticket_number == null 
| list conversations.reason, conversations.outcome, conversations.resolution_summary, device.name, user.upn, conversations.intent, conversations.time, conversations.state
```

{% endcode %}

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/user-guide/spark/spark-faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
